abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
včera 21:45 | Zajímavý projekt

Humble Bundle v rámci akce Double Fine Presents nabízí skupinu multiplatformních her bez DRM za vlastní cenu: Mountain, 140 a THOTH (jako jediná nikoliv pro Linux), za nadprůměrnou cenu navíc GNOG a Escape Goat 2 a za aspoň $10 Gang Beasts a Everything. Platbu lze rozdělit mezi vývojáře, Humble Bundle a charitu. Akce probíhá do 29. ledna.

Fluttershy, yay! | Komentářů: 2
včera 17:22 | Nová verze

Laboratoře CZ.NIC vydaly novou verzi 4.12.0 aplikace Datovka, tj. svobodné multiplatformní desktopové aplikace pro přístup k datovým schránkám a k trvalému uchovávání datových zpráv v lokální databázi.

Ladislav Hagara | Komentářů: 0
včera 17:00 | IT novinky

Byla zveřejněna pravidla hackerské soutěže Pwn2Own Vancouver 2019, jež proběhne od 20. do 22. března v rámci bezpečnostní konference CanSecWes. Vedle virtualizačních softwarů nebo webových prohlížečů se bude letos útočit i na automobil Tesla Model 3.

Ladislav Hagara | Komentářů: 0
včera 10:33 | Bezpečnostní upozornění

Byly zveřejněny informace o bezpečnostních chybách v scp klientech. Jedná se o chyby CVE-2019-6111, CVE-2018-20685, CVE-2019-6109 a CVE-2019-6110 v scp z OpenSSH a CVE-2018-20684 ve WinSCP. Zranitelné je také pscp z PuTTY. Server pod kontrolou útočníka může provádět neoprávněné operace na straně klienta.

Ladislav Hagara | Komentářů: 1
včera 09:44 | Komunita

Mozilla.cz informuje, že Firefox letos vypne Flash. Stane se tak s verzí 69. Podpora Flashe oficiálně skončí na konci roku 2020.

Ladislav Hagara | Komentářů: 3
včera 01:22 | Nová verze

Android Studio (Wikipedie), tj. oficiální integrované vývojové prostředí pro vývoj aplikací pro mobilní operační systém Android, bylo vydáno v nové stabilní verzi 3.3. Přehled novinek i s náhledy v oficiálním oznámení a také na YouTube.

Ladislav Hagara | Komentářů: 0
14.1. 16:22 | Komunita

O víkendu byl spuštěn proces zmrazování Debianu 10 s kódovým jménem Buster. Vybráno bylo výchozí grafické téma pro Buster. Je jím futurePrototype.

Ladislav Hagara | Komentářů: 7
13.1. 23:22 | Pozvánky

Spolek OpenAlt zve příznivce otevřených řešení a přístupu na 160. brněnský sraz, který proběhne v pátek 18. ledna od 18:00 v baru, galerii a kavárně MorsArt na Rooseveltově 6. Sraz je koncipován jako Linux Install Fest. Pořadatelé pomohou nováčkům s instalací a řešením problémů.

Ladislav Hagara | Komentářů: 0
11.1. 23:33 | Komunita

V říjnu byla změněna licence u multiplatformní dokumentové databáze MongoDB z GNU AGPLv3 na SSPL (Server Side Public License). Ten, kdo nabízí službu postavenou na MongoDB, musí nově poskytovat zdrojové kódy této služby nebo si může zakoupit proprietární licence. Pravděpodobně v reakci na to Amazon ve středu představil svou vlastní proprietární službu Amazon DocumentDB kompatibilní s MongoDB 3.6 API.

Ladislav Hagara | Komentářů: 1
11.1. 20:11 | Nová verze

Byla vydána nová major verze 5.0 frameworku pro testování počítačové bezpečnosti Metasploit (Wikipedie). Přehled novinek v příspěvku na blogu.

Ladislav Hagara | Komentářů: 0
Používáte USB Type-C?
 (19%)
 (16%)
 (10%)
 (12%)
 (36%)
 (3%)
 (46%)
Celkem 353 hlasů
 Komentářů: 0
Rozcestník

Dotaz: emerge -Up emerge mi instaluje Xka

21.8.2004 21:05 Lukáš Zapletal | skóre: 42 | blog: lzapův svět | Olomouc
emerge -Up emerge mi instaluje Xka
Přečteno: 38×
DD, snažím se upgradnout emerge, ale rve mi to na server X Window, ačkoliv mám v make.conf jasně dané, že žádný X nechci. Co s tím?
gentoo root # emerge -Up emerge
>>> --upgradeonly implies --update... adding --update to options.

These are the packages that I would merge, in order:

Calculating dependencies ...done!

[ebuild     U ] sys-libs/glibc-2.3.3.20040420-r1 [2.3.2-r9]
[ebuild     U ] sys-apps/sed-4.0.9 [4.0.7]
[ebuild     U ] media-libs/libpng-1.2.5-r8 [1.2.5-r6]
[ebuild  N    ] media-libs/fontconfig-2.2.2
[ebuild  N    ] x11-base/opengl-update-1.7.2
[ebuild  N    ] x11-misc/ttmkfdir-3.0.9-r1
[ebuild     U ] dev-python/python-fchksum-1.7.1 [1.6.1-r1]
[ebuild     U ] dev-lang/python-2.3.3-r1 [2.3.3]
[ebuild     U ] sys-apps/portage-2.0.50-r9 [2.0.50-r8]
*** Portage will stop merging at this point
and reload itself, recalculate dependencies,
and complete the merge.

[ebuild  N    ] app-arch/cabextract-0.6
[ebuild  N    ] x11-base/xfree-4.3.0-r6
[ebuild  N    ] x11-libs/openmotif-2.1.30-r4
[ebuild  N    ] media-libs/audiofile-0.2.6-r1
[ebuild  N    ] app-editors/xemacs-21.4.12
[ebuild  N    ] app-xemacs/emerge-1.09
[ebuild  N    ] app-xemacs/xemacs-base-1.75
[ebuild  N    ] app-xemacs/edebug-1.15
[ebuild  N    ] app-xemacs/fsf-compat-1.12
[ebuild  N    ] app-xemacs/apel-1.26
[ebuild  N    ] app-xemacs/sh-script-1.17
[ebuild  N    ] app-xemacs/ecrypto-0.12
[ebuild  N    ] app-xemacs/eterm-1.13
[ebuild  N    ] app-xemacs/mail-lib-1.56
[ebuild  N    ] app-xemacs/w3-1.28
[ebuild  N    ] app-xemacs/cookie-1.14
[ebuild  N    ] app-xemacs/vm-7.07
[ebuild  N    ] app-xemacs/mailcrypt-2.12
[ebuild  N    ] app-xemacs/gnus-1.65
[ebuild  N    ] app-xemacs/speedbar-1.26
[ebuild  N    ] app-xemacs/mh-e-1.17
[ebuild  N    ] app-xemacs/tm-1.35
[ebuild  N    ] app-xemacs/rmail-1.13
[ebuild  N    ] app-xemacs/xemacs-ispell-1.24
[ebuild  N    ] app-xemacs/xemacs-devel-1.50
[ebuild  N    ] app-xemacs/edit-utils-1.98
[ebuild  N    ] app-xemacs/elib-1.10
[ebuild  N    ] app-xemacs/pcl-cvs-1.64
[ebuild  N    ] app-xemacs/ediff-1.46
[ebuild  N    ] app-xemacs/vc-1.35
[ebuild  N    ] app-xemacs/cc-mode-1.32
[ebuild  N    ] app-xemacs/ilisp-1.29
[ebuild  N    ] app-xemacs/prog-modes-1.72
[ebuild  N    ] app-xemacs/dired-1.13
[ebuild  N    ] app-xemacs/efs-1.29

Odpovědi

22.8.2004 00:05 Jarda Kotěšovec (athli) | skóre: 17 | blog: athli
Rozbalit Rozbalit vše Re: emerge -Up emerge mi instaluje Xka

Používat -U je nejlepší způsob jak si gentoo vyřadit z provozu, protože zabraňujete downgradum čehokoli. Když se něco ze závažného důvodu v portage (hard) zamaskuje, tak Vám to zůstane a něco se Vám může rozhodit. Raději používejte /etc/portage/package.keywords (a další), kde si určíte, které balíčky chcete z ~x86. viz man portage nebo dokumentace na gentoo.org

Jinak zkuste přidat parametr -t, který Vám ukáže, jaký balíček je chce nainstalovat a pak budete vědět na čem jste.

22.8.2004 00:20 Jarda Kotěšovec (athli) | skóre: 17 | blog: athli
Rozbalit Rozbalit vše Re: emerge -Up emerge mi instaluje Xka
Ještě můžete přihodit -v , aby byly vidět USE flagy, což může taky lecos napovědět. Kompletní upgrade (včetně závislostí) - emerge -avuD world, popř. ješte -t.
22.8.2004 10:06 Lukáš Zapletal | skóre: 42 | blog: lzapův svět | Olomouc
Rozbalit Rozbalit vše Re: emerge -Up emerge mi instaluje Xka
At hledam jak hledam, zadny adresar /etc/portage nemam, je to chyba?

Kdyz uz jsem udelal emerge -U portage, je moje masina rozhozena? Jak to opravit?

ps - nevite nahodou, proc se mi nedari pouzit tuto utilitku?

root # dispatch-conf dispatch-conf: Config archive dir [/etc/config-archive] must exist; fatal
22.8.2004 10:29 Lukáš Zapletal | skóre: 42 | blog: lzapův svět | Olomouc
Rozbalit Rozbalit vše Re: emerge -Up emerge mi instaluje Xka
Aha vytvořil jsem ten adresář...

Ještě dotaz, jak postupovat, když upgrafuju systém, při etc-update? Existuje nějaký návod, které soubory zahodit, které použít a které editovat?
22.8.2004 12:49 Jarda Kotěšovec (athli) | skóre: 17 | blog: athli
Rozbalit Rozbalit vše Re: emerge -Up emerge mi instaluje Xka
Lepší je používat dispatch-conf, kteřý např. pokud je zmeněna jen hlavička (z CVS), tak to rozpozná a vyřeší to sám. Nevim jestli existuje nejaký návod, ale všechny soubory, které jste sám nemodifikoval je lepší použít nové. Pokud jste nějaký editoval tak se podívat na ten diff, jestli tam nejsou nejaké důležité změny a podle toho se zařídit.
22.8.2004 12:39 Jarda Kotěšovec (athli) | skóre: 17 | blog: athli
Rozbalit Rozbalit vše Re: emerge -Up emerge mi instaluje Xka

Adresář /etc/portage si vytvořte, v man portage je popsáno co za soubory tam lze použít (a jak). Pokud Vám všechno funguje, tak nejspíš neni :), jednodušše přestaňte používat -U.

Stačí vytvořit adresář /etc/config-archive, kam se budou ty konfiguráky zálohovat.

Nevím s jakou verzí přišlo -t, ale v man emergeho mam, použil jsem ho terpve nedávno. Pokud upgradujete a je k dispozici nova verze portage, tak nejdříve upgradujte portage.

--tree (-t)
      Shows  the  dependency  tree  for  the given target by indenting
      dependencies.  Only really useful  in  combination  with  --emp-
      tytree, --update or --deep.
22.8.2004 10:36 Lukáš Zapletal | skóre: 42 | blog: lzapův svět | Olomouc
Rozbalit Rozbalit vše Re: emerge -Up emerge mi instaluje Xka
Jste si jisty tim prepinacem -t ? Nic takoveho v manualu ani nikde neni!
22.8.2004 00:13 Ctirad Feřtr | skóre: 43 | Praha
Rozbalit Rozbalit vše Re: emerge -Up emerge mi instaluje Xka
A máte to v tom make.conf opravdu dostatečně jasně (tj. USE= "-X ") ? Zkuste to ověřit pomocí utilitky ufed.

Jestli je to dobře, tak zkuste nejdřív upgradnout jenom portage, udělat znova emerge sync a zkusit to znovu. Pokud to přetrvá, je to na bugreport.
22.8.2004 00:54 finn | skóre: 42 | blog: finnlandia | 49° 44´/13° 22´
Rozbalit Rozbalit vše Re: emerge -Up emerge mi instaluje Xka
Mno, emerge je součástí xemacsu, takže nevidím nic zvláštního na skutečnosti, že jsou potřeba Xka.

P.S. Pokud je vaším cílem nainstalovat novější verzi správce balíčků, pak vězte, že ten je součástí sys-apps/portage, nikoliv app-xemacs/emerge.
Užívej dne – možná je tvůj poslední.
22.8.2004 09:54 Lukáš Zapletal | skóre: 42 | blog: lzapův svět | Olomouc
Rozbalit Rozbalit vše Re: emerge -Up emerge mi instaluje Xka
:))) jsem to ale vůl, no jasně, díky

diky všem za tipy, budu se tím řídit :D
22.8.2004 14:15 o.k.
Rozbalit Rozbalit vše Re: emerge -Up emerge mi instaluje Xka
Přesně tohle se mi taky kdysi stalo :-) a pořát sem se divil co to emerge má za podivné závislosti..

Podobná "záludnost" je taky třeba

#emerge rsync vs. #emerge net-misc/rsync
22.8.2004 09:58 Lukáš Zapletal | skóre: 42 | blog: lzapův svět | Olomouc
Rozbalit Rozbalit vše Re: emerge -Up emerge mi instaluje Xka
A ještě jedna věc, se mi to teda upgradovalo, ale je tam moc souborů, co potřebuje ruční zásah. Já bych ale chtěl všechny zahodit a použít akuální verzi (ne tu novou). To musím postupně na všechny klikat a dvojkou dávat Use current version, nebo se to dá udělat hromadně?
Stanislav Brabec avatar 22.8.2004 15:41 Stanislav Brabec | skóre: 45 | Praha
Rozbalit Rozbalit vše Re: emerge -Up emerge mi instaluje Xka
Ano. Tato volba předpokládá, že víte, co děláte, a že si alespoň prohlédnete, co z nové konfigurace každého souboru zahazujete. Pokud to neuděláte, brzy se dostanete do problémů (třeba, že systém vůbec nenastartuje, protože jste si zahodil nové startovací skripty). U skutečně udržovaných systémů by měla být dvojka nejvzácnější volbou.

Obráceně - dát vše nové, jde snadno - -3 nebo -5.
22.8.2004 22:21 Lukáš Zapletal | skóre: 42 | blog: lzapův svět | Olomouc
Rozbalit Rozbalit vše Re: emerge -Up emerge mi instaluje Xka
Abych pravdu řekl, uvítal bych, kdyby si ten program zjistil (MD5, čas modifikace co já vím), jestli jsem konfigurační soubor změnil nebo ne a nenabízel mi po upgrade milion bezvýznamných konfiguračních souborů. Takhle se akorát stane, že něco přehlédnu a nahradím svoji konfiguraci novou verzí...
22.8.2004 23:53 jm
Rozbalit Rozbalit vše Re: emerge -Up emerge mi instaluje Xka
Pouzivam ted dispatch-conf a ten to urcite dela. U etc-update nevim, ale myslim ze taky.
Stanislav Brabec avatar 23.8.2004 12:22 Stanislav Brabec | skóre: 45 | Praha
Rozbalit Rozbalit vše Re: emerge -Up emerge mi instaluje Xka
Ten to nedělá. Umí jen "automerge trivial changes".
22.8.2004 12:12 jm
Rozbalit Rozbalit vše Re: emerge -Up emerge mi instaluje Xka
Zaprve: nepouzivat -U, nefunguje to spravne a dela to jenom problemy. Viz tady a tady.

Zadruhe: Nejlepsi by bylo dat sem kompletni USE z make.conf. Nektery veci maj v sobe X zadratovany natvrdo.

22.8.2004 14:12 nejezsadlo
Rozbalit Rozbalit vše Re: emerge -Up emerge mi instaluje Xka
zdravim!

musim se priznat, ze nevhodnost pouzivani "-U" je pro me novinka :) asi mam stesti - za skoro 2 roky pouzivani gentoo na 2 serverech jsem se jeste nesetkal s problemy...

nicmene sem si procet ty thready ve forech na gentoo.org a nechal sem se poucit a ihned prechazim jen na "-u".

a mam otazku - ted kdyz sem dal emerge -up world tak mi to nabidlo par downgradu (napriklad python z 2.3.4 na 2.3.3-r1). Znamena to plus to co se tu probiralo v diskuzi, ze pokud portage nabizi downgrade, ma k tomu dobry duvod ? (tedy napriklad bugovost novejsiho nainstalovaneho baliku)
22.8.2004 15:08 jm
Rozbalit Rozbalit vše Re: emerge -Up emerge mi instaluje Xka
Muze a nemusi. To uz je nasledek predchoziho nevhodneho pouzivani. :-) Zkontrolujte changelog a pokud se vam to zda ok, pak prislusne baliky pridejte do /etc/portage/package.keywords s ~x86, viz predchozi odkazy. Konkretne u toho pythonu bych asi radsi moc neriskoval.
22.8.2004 15:24 nejezsadlo
Rozbalit Rozbalit vše Re: emerge -Up emerge mi instaluje Xka
python - prave do downgradu takovyhle dost dulezitejch baliku se mi moc nechce kdyz vsechno (zatim) funguje dobre... mrknu do tech changelogu a uvidime...

diky ! zase sem o neco chytrejsi, holt se fakt vyplati pravidlne sledovat fora na gentoo ;) jenze je toho tolik, ze to by clovek taky nemusel delat nic jinyho :)
22.8.2004 15:35 jm
Rozbalit Rozbalit vše Re: emerge -Up emerge mi instaluje Xka
U toho pythonu je podle buglistu tech chyb minimum, jestli to funguje tak bych se do toho radsi nevrtal. :-)
22.8.2004 23:25 Michal
Rozbalit Rozbalit vše Re: emerge -Up emerge mi instaluje Xka
Balicky malokdy prechazeji do zamaskovaneho stavu (a kdyz tak snazi brzy vydat opravenou verzi) takze toho bych se prilis nebal.

Zato pri pouziti -u je treba poradne se koukat zda se z nejakeho duvodu nechce "downgradovat" treba glibc protoze to je smrt pro system.

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267   www.czech-server.cz
© 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.